local o = require "orientation"

local w, h, width, height

love.load = function ()
	o.screen(love.graphics.getDimensions())
	
	width, height = love.graphics.getDimensions()
	w, h = width/2, height/2
end

local colors = {
	red		= {255, 0,   0  },
	black	= {0,   0,   255},

	["landscape left"]	= {0,   255, 255},
	["landscape right"]	= {255, 0,   255},
	["portrait bottom"]	= {0,   255, 0  },
	["portrait top"]	= {0,   0,   255}
}

local orientation = "none"
local color = {0,0,0}

love.update = function (dt)
	local value = o.update(dt)
	
	if o.possible() then
		orientation = table.concat({o.name(value)}, " ")
		color = colors[orientation] or colors.black
	else
		color = colors.red
		orientation = "Accelerometer not found"
	end
end

love.draw = function ()
	love.graphics.setColor(color)
	love.graphics.rectangle("fill", -1, -1, width + 2, height + 2)
	
	love.graphics.push()
		--Take into account this rotation is pretty basic, use a camera system or something more complex to actually rotate
		love.graphics.translate(w, h)
		love.graphics.rotate(o.get()) --Returns the current orientation
		love.graphics.translate(-w, -h)

		love.graphics.setColor(255,255,255)
		love.graphics.printf(orientation, 0, h, width, "center")
	love.graphics.pop()
end

love.keypressed = function (k)
	if k == "escape" then love.event.quit() end
end